# bash completion for links

have links &&
_links()
{
    local cur

    COMPREPLY=()
    _get_comp_words_by_ref cur

    case $cur in
        --*)
            COMPREPLY=( $( compgen -W '--help' -- "$cur" ) )
            ;;
        -*)
            COMPREPLY=( $( compgen -W '-async-dns -max-connections \
                -max-connections-to-host -retries -receive-timeout \
                -unrestartable-receive-timeout -format-cache-size \
                -memory-cache-size -http-proxy -ftp-proxy -download-dir \
                -assume-codepage -anonymous -dump -no-connect \
                -source -version -help' -- "$cur" ) )
                ;;
        *)
            if [ -r ~/.links/links.his ]; then
                COMPREPLY=( $( compgen -W '$( < ~/.links/links.his )' \
                    -- "$cur" ) )
            fi
            _filedir '@(htm|html)'
            return 0
            ;;
    esac

    return 0
} &&
complete -F _links -o filenames links

# Local variables:
# mode: shell-script
# sh-basic-offset: 4
# sh-indent-comment: t
# indent-tabs-mode: nil
# End:
# ex: ts=4 sw=4 et filetype=sh
